Subject: bug#602: /bin/run-parts hardcoded in many scripts but moved to /usr/bin

From: Klaus Ethgen <[email-masked]>
Date: Wed, 18 Aug 2021 12:29:36 +0100

Hi Mark,

Am Mi den 18. Aug 2021 um  7:40 schrieb Mark Hindley:
> On Wed, Aug 18, 2021 at 07:47:06AM +0200, Klaus Ethgen wrote:
> > Package: debianutils
> > Version: 5.0.1-1
> > Severity: critical
> > 
> > /bin/run-parts is hardcoded in many scripts. Version 5.0.1-1 moved it to
> > /usr/bin which breaks most of the system including network, wdm and many
> > more.
> 
> Thanks for this. Debianutils is not a forked package and Devuan uses Debian's
> packages directly without recompilation. Therefore, in principle, this should be
> reported to Debian's BTS to be fixed there.

That is true. But from the fact that Michael Biebl did this (both)
incompatibilities and that he does not care about anything else than
systemd, I will never ever again file a bug report in debian itself.

Michael Biebl, who is one of the main problems regarding the whole
systemd trouble, is no one I want to get frustrated with anymore!

> I suspect the Debian maintainer's answer may be that this merely uncovers a bug
> in the packages which hardcode /bin/run-parts and you should bug them
> directly.

As told above, I think he will just ignore it and close it as wontfix as
he does it usually.

> Do you have specific examples?

Not easy to find. The scripts seem to be ok but not the binaries.

One (and the essential one) is ifupdown. After the update, I end without
network therefore. One another is, as you already wrote, x11. And there
seems to be one with cryptsetup or btrfs-tools as I got some error
messages about not supported CPU feature, which is not correct. But the
last could also be accourding to tempfile.

Regards
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <[email-masked]>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C